const int motorA1 = 9;
const int motorA2 = 8;
const int motorPWM = 10;
const int potPin = A0; // Pin del potenciómetro

void setup() {
  pinMode(motorA1, OUTPUT);
  pinMode(motorA2, OUTPUT);
  pinMode(motorPWM, OUTPUT);

  // Configuración inicial del motor
  digitalWrite(motorA1, LOW);
  digitalWrite(motorA2, LOW);
  analogWrite(motorPWM, 0);  // Asegúrate de que el motor esté apagado inicialmente
}

void loop() {
  // Lee el valor del potenciómetro
  int potValue = analogRead(potPin);
  // Convierte el valor leído (0-1023) a un valor de velocidad (0-255)
  int speed = map(potValue, 0, 1023, 0, 255);

  // Encender el motor en dirección hacia adelante
  digitalWrite(motorA1, HIGH);
  digitalWrite(motorA2, LOW);
  // Establecer la velocidad del motor
  analogWrite(motorPWM, speed);
}
